Getting started

 Top Next

If this is your first time here then Welcome to NuMorse Pro.

Complete beginners...

If your aim is to learn the code then the First Steps feature is a good place to start. This is a series of lessons that will help you learn the Morse code characters. When you have worked your way through the lessons the other features of NuMorse Pro will then help you build up your speed in preparation for your code test. You might also like to read through the Learning Morse Code help topic for some hints and tips on learning the code.

You know the code but want to brush up your skills...

The Code Play feature gives you access to the many features designed to get you up to speed. You can play code from a variety of sources by selecting an input device of your choice. These sources can be internal to NuMorse Pro or they can be external files. Of particular value are the QSO and Call sign generators which allow you to copy code that is similar to code you would hear on the amateur bands. In fact, NuMorse Pro can even add some QSB and QRN for a touch of extra realism! The Increasing your code speed help topic gives some suggestions for getting your speed up.

Users of NuMorse 1.x...

NuMorse Professional bears a superficial resemblance to NuMorse 1.x, but don’t be fooled. It is a completely rewritten program with many important differences and new features. The Code Play feature is a good place to start exploring NuMorse Professional. This displays an interface which should be familiar to you and it operates in a similar way to the original NuMorse program so you should have little trouble in getting started. However, the underlying program is completely rewritten and there are MANY extra features to explore. Take a look at the Forms and Commands help topic if you would like to read about some of these features.

Code instructors...

I have included a Written tests feature that will allow students to administer self-tests. I hope this will act as a confidence booster. You may find that the Written Test feature could be used for administering code tests. I have tried to make this feature flexible and configurable so that you can "tweak" it to suit your requirements. Which brings me back to the First Steps feature. Many instructors have definite views on the best method to teach code. As shipped, the teaching method used in the First Steps feature will not please everyone. However, it is highly configurable and I hope that you will be able to set it up to suit your own particular teaching methods. An example of an alternative teaching approach (the Koch method) will be found in the First Steps module if you select the Koch profile on program startup.

Finally

Try exploring NuMorse Pro. Open up each option, click on help and read what the controls do.


How to pay for NuMorse Pro

Purchasing NuMorse Pro (Registering)

 Top Previous Next

NuMorse Pro is not free software. This copy has been entrusted to you so that you can decide if it suits your needs. If you find it useful then you must purchase the right to use it. There are several ways to do this as detailed below.

When you purchase Nu-Ware will send your software key by email to convert NuMorse Pro to the licensed version. Here is information about vendors who take NuMorse Pro orders:

RegNow

http://www.regnow.com/softsell/nph-softsell.cgi?item=11503-1

SWREG

https://usd.swreg.org/cgi-bin/s.cgi?s=166&p=166101&v=0&d=0&q=1&t=&c=USD

North Star Solutions

http://www.nstarsolutions.com/160.htm

You can also order via the Nu-Ware website at:

http://www.nu-ware.com/NuMorseP/nmPreg.htm

Note: Delivery by CDROM is available at the Nu-Ware website.

Support for NuMorse Professional:

http://www.Nu-Ware.com/contact.htm

Information about the NuMorse Pro companion program NuTest!.


Block schematic of NuMorse Pro

Overview of NuMorse Pro

 Top Previous Next

Here is a block diagram of NuMorse Pro showing the major program elements and how they work together. Click on the boxes in the diagram to go to a help topic with further details.


Check out NuMorse

Checking out NuMorse Pro

Note:

A quick way to get NuMorse Pro back to the "Out of the box" state is to go to Help\Restore default settings.

Here is a list of suggested settings to start out using NuMorse, please check through the list if NuMorse Pro does not appear to work as expected. Most of these settings should be NuMorse Pro “Out of the box” settings.

Play\Character Filters (Ctrl+F9)

Preset filters group | F.C.C.
Dynamic filter | None
Select code filters | Use preset Filters
Random weighting | Uniform
Random Group length | 5

Play\Code Speed (Shift+Ctrl+F7)

Autospeed | not checked
Character speed | 5 WPM (or less if you wish)
Text speed | 5 WPM (or less if you wish)

General Preferences (F6)

Show splash screen on startup |  | Checked
Play intro on startup |  | Checked
Show Tooltips |  | Checked
Convert input to upper case |  | Checked
Allow docking |  | Unchecked
Use Dah-Dit for code elements |  | Checked
Reset soundboard when code stops |  | Checked
Reset soundboard when code pauses |  | Unchecked
Close wave out device when pausing |  | Checked
Autospeed | not checked
Character speed | 5 WPM (or less if you wish)
Text speed | 5 WPM (or less if you wish)

Settings\Thermometer (Shift+Ctrl+F6)

Active unchecked.

Settings\Drill Settings (shift+F6)

Check User Keypresses | Every 1 word sent
Enable smart spaces | checked
Wait for user to catch up | checked
Repeat code just sent | unchecked
Play sound name | error
Play speech phonetic for character | unchecked
Show error | checked
After error | Restart drilling after 1 second

View\Performance (Ctrl+P)

Add sessions to logfile | Add on demand
Maximum log size | 50 records

View\File Window options (Shift+Ctrl+F2)

Randomize | Unchecked
Wrap Round | Checked
Clear previous contents | All checked

Play\Character Filters (Ctrl+F9)

Preset filters | FCC checked all others unchecked
Dynamic filter | None
Select code filters | Use preset
Random Weighting | Uniform
Random Group length | 5

Input and Output\Select Output Devices (F4)

Port | Active unchecked
Wav File output | Active unchecked
Semaphore | Unchecked

Input and Output\Select Input Devices (Shift+F4)

Random Characters selected

Input and Output\Soundboard (F5)

Click filter | 1 ms
Tone (Hz) | 800
Code volume | 100

QSO generator\QSO settings (Ctrl+Q)

QSO type Short

After you have checked these settings Select Main Menu\View\Code Information (or press Ctrl+I) and you should see the Morse code characters used in FCC tests. Left clicking on the displayed grid should produce the Morse code for the character and confirm that your PC is set up for playing code.

Select Main Menu\Play\Play Morse code (or press F9) and click on Play. You should now be hearing random groups of letters and numbers as the letters and numbers are shown on-screen.

If you are familiar with Morse code then go to the Increasing your code speed help topic. If you are a newcomer then try the Learning Morse Code help topic.


Learn Morse code

Learning Morse Code

See also the Koch method.

First of all, an important note about Morse code sending. Sending Morse code is much easier than receiving it and therefore NuMorse Pro concentrates exclusively on helping you to receive Morse code. When you can receive code at a given speed you will be able to send at that speed with very little practice. For sending you will need a code key and a code oscillator and these are obtainable from all ham radio stores. A home built code oscillator would make a nice construction project if you wanted to try your hand at building your own circuits. A typical oscillator circuit is shown in the Hookup NuMorse help topic. Alternatively, if you already own a transceiver then it will probably be possible to set it up to give a keyed tone without transmitting a signal. Look in the transceiver handbook under “sidetone”.

For sending practice it is best to enlist the help of someone with some Morse code experience to show you how to hold your Morse key and to analyze your sent code.

There may be some extra text files in your NuMorse Pro directory that suggest alternative approaches to learning Morse code such as the Koch method. The author does not advocate any single method. Different training methods work for different people and so NuMorse Pro has been written to be as flexible as possible and to enable many different approaches to learning the code.

Here is one “learning theory”. Another method, originally used by Ludwig Koch in the 1930's is becoming popular.

Learning the code can be divided into three stages.

Learning the characters.

Attaining fluency

Gaining experience

Learning the characters.

In this phase you learn the combination of dots/dashes for each character. You need to associate the sound of the code with the character rather than the visual pattern. For this reason we don’t talk of “dots and dashes” we refer to “dit” and “dah” which gives a much better idea of the sound of each character. So, for K we would use “dah-dit-dah” when describing the code sound to someone. This is much better than “Dash-dot-dash”.

One effective method of learning the code is the use of “Sound alike” mnemonics. In the NuMorse Pro “Fist steps” section each character has an associated mnemonic (A short reminder word or phrase) that sounds rather like the code for the character. There is also an associated image for the more common code characters. Here is an example:

The code for letter A is “dit-dah”. This sounds a bit like “A jar” and the NuMorse Pro First Steps feature displays the phrase “A jar” and also a picture of a jar while the code for letter A is sounded. When you go through the “First Steps” learning program you will encounter similar “ridiculous” associations for all of the letters of the alphabet and as you see/hear/read them you will very quickly learn the Morse code.

Attaining Fluency

OK, you know the code for each character..now what? Given time you can listen to a few dits and dahs and work out what character the group represents. But real Morse code is not like that, try listening to some. The dits and dahs come in a fast torrent and while you are writing down one character another dozen have flown past. This is normal at this stage! Attaining fluency is the process of working towards being able to decode a stream of code without having to think about the individual dits and dahs. There are two main requirements:

A reliable source of Morse code. NuMorse Pro provides this.

Your determination and persistence during hours of practice.

It is helpful for motivation to study the code as a member of a group, preferably with an instructor who is experienced with the code.

Gaining experience

The final learning phase is when you go beyond NuMorse Pro and start to use Morse code as a real communication tool. This final phase lasts as long as you continue to use Morse code.

That’s enough theory, now for some practical advice. Here is a possible learning program:

If you haven’t already done so then Check out NuMorse to make sure that your installation is working OK.

Select Main Menu\View\Code Information (or press Ctrl+I) and take a look at the code characters used in FCC tests. Use mouse left-click to hear the sound of each code character. You can leave this Morse code information sheet open when using other NuMorse Pro features. (In fact you can leave most NuMorse Pro windows open while playing code)

When you have taken a quick look at the code and have a rough idea of how the characters sound then select Main Menu\Play\First steps. This gives access to a small set of lessons designed to give you a jump-start in learning the code characters. Work your way through these lessons.

When you have finished the “First Steps” lessons NuMorse Pro offers a large array of features to help you increase your code proficiency. Most of these techniques are based around the NuMorse Pro on-screen keyboard display. This screen can be accessed via Menu\Play\Play Morse code (or press F9).

You will want to work toward increasing your copy speed to a level rather faster than the speed of the test you intend to take. The Increasing your code speed help topic gives some hints and tips on how to increase your speed.


Increase your speed

Increasing your code speed

This help topic assumes that you have already learned the code characters and, given time, you can write down the character after hearing the code sound for that character at low speed. If you are not yet at this stage then you may find the Learning Morse Code help topic useful.

The basic method is practice, practice and yet more practice. NuMorse Pro can help by making the practice sessions more interesting and by providing feedback on your progress. This help topic lists some alternative ways to use your practice sessions. Some techniques may appeal to you more than others. Sometimes a change of technique will revive your flagging interest or allow you to break through a learning barrier.

Learning barriers and plateaus. When trying to increase your code speed you will inevitably reach a stage where you feel as if you are not making progress. Your maximum copy speed will appear to stick for several days. This is normal! Take a break and then continue with practicing the code. Typically, after a period of apparent stagnation your copy speed will begin to increase again.

If this is the first time you have used NuMorse Pro then read through the Checking out NuMorse help topic.

Here is the basic method for practicing code in NuMorse:

Select Play\Play Morse code. (or press F9)

Click on the Drill button

Listen to the code, view the on-screen characters.

After a few characters have been played NuMorse Pro will stop. It is waiting for you.

Enter the characters that were just played. They are shown on the screen.

NuMorse Pro will send a fresh block of characters

Continue as long as you want, then click on Reset to stop.

Experiment with deliberately entering the wrong characters and see how NuMorse Pro responds.

This practice session is called a Drill Session.

If things didn't go as you expected then the program may need some adjustments. Here are the required settings for the basic drill method described above:

Drill Settings options checked: (Shift+F6)

Check user keypresses every 1 word sent

Wait for user to catch up

Show error

Enable Smart Spaces

Restart drilling every 1 second

Input--random characters (Shift+F4 or input tab if docked)

Character filter settings: (Ctrl+F9)

F.C.C., checked

Dynamic filter, none.

Use preset filters, checked

Random weighting, checked

Random group length, 5

File window options (Shift+Ctrl+F2)

Code source file..Sequential read

Wrap round at file end

Soundboard (F5 or sound tab if docked)

Volume, 100

Real Morse Code, unchecked

Click filter time constant, 10 ms

Tone, 800 Hz

So far, the Drill Session has been little more than typing practice and getting used to how the program operates since the characters you are expected to enter are shown on the screen. You need to blank out these “clues” by unchecking the checkboxes next to them. Uncheck some or all of the checkboxes and try the exercise above again.

Not so easy now huh? Your ultimate aim should be to enter the correct characters close to 100% of the time at a code speed somewhat above the speed of the test you are planning to take.

Here are just a few of the hundreds of possible variations on the basic Drill Session method described above. Experiment with your own variations or use several techniques in combination:

Select a few characters to play

Play code from text files

Practice listening to amateur radio conversations (QSOs)

Set up NuMorse Pro to increase and decrease speed automatically

Activate the on-screen “thermometer”

Set a time limit on Drill sessions.

See how well you did

Practice code one character at a time.

A challenging drill session


Take a test

Take or set a test

Before setting a test select code and text speeds:

Select Main Menu\Play\Code Speed (or Shift+Ctrl+F7)

Set character and text speed sliders as required.

Close any open file windows if you do not wish to see the test QSO.

Select Main Menu\Written tests\Set a test (or press Ctrl+T)

To generate a new test or if any buttons are grayed out then click on “Make a new test”

To re-use a test click on Select test file and choose the test.

Example 12 . An example of setting a “One minute of solid copy” test.


Play code from your own files

Play Morse Code from your own files

Example 5 , play code from a text file

Example 6 , play code from a text file but select words from it at random

Example 7 , play only letters from a text file containing letters and numbers


Select what characters to practice

Selecting characters to play as code

These examples all assume that you will be starting from the Main menu.

Example 1 , play only random letters.

Example 2 , play characters + 0 5 ? C D R U at random

Example 3 , play letters X Y Z in a random sequence

Example 4 emphasize letters that you found difficult yesterday


Review your performance

Check your progress

To manually compare what you typed with what NuMorse Pro sent: Open the Code Sent and User keypresses forms.

To get an automatic comparison figure between Code Sent and User Keypresses (User keypresses) open the View\Compare window. (Ctrl+Alt+C)

To read a statistical summary of your last drill session or review your progress in previous drill sessions open the Performance statistics pages.


Change the way characters sound or look

Change the way a character sounds or looks

Example 8 Use VA for “End of work” instead of SK

Example 9 Replace the $ symbol and code with the AS prosign


Add your own special code characters

Add a new code character

Add a Ñ character to the letters group.

Select Main Menu\Settings\Code Properties (or Ctrl+F6)

Use the drop-down Character selection list to select Ñ

In the Code string for character editor replace the existing code with - - .- -

We will map “n” to the new Ñ character. To the right of the Mapped from button is a character selection list. Select n in this list to map from n to Ñ

The new Ñ character needs to be added to the letters group. To do this go to the letter n by clicking on the mapped from button. Scroll the “This character in” control and check the Alpha check box.

You need to specify how frequently the new character should be generated. Set the Language weighting for the letter n to a none zero value such as 10.

The new Ñ character can now be used like any other code character except that you press n on the keyboard whenever you enter it into the program.


Hook up to a code oscillator or transmitter

Hooking up to a Code Oscillator or Transmitter

Parallel port pinouts.

You can use NuMorse Pro to drive a code oscillator or a transmitter via a hardware port. You can either add an extra port as an ISA or PCI card or use the existing printer port on your system. Here are the data pinout details for a Centronics parallel printer port, this view is looking into the rear of the PC.

Pin | Signal
2 | Bit 0
3 | Bit 1
4 | Bit 2
5 | Bit 3
6 | Bit 4
7 | Bit 5
8 | Bit 6
9 | Bit 7
33 | GND

Here is a circuit diagram of a simple code oscillator that has been tested with NuMorse Pro on the printer port (decimal 888) by the author:

Connect it to your PC between GND and any printer data pin. On a Centronics parallel printer port this would be between pin 33 and any other pin in the table above.

A more advanced circuit for a Relay Interface unit is shown here which drives a flashing mains lamp display. This could be used in a classroom situation for people learning visual signalling methods. Both of the circuits shown here can easily be adapted for serial or parallel port operation.

Serial port pinouts.

9-pin or 25-pin connectors are used for the serial ports on most PCs. If a serial connector is not provided on the PC then it may be possible to use a USB-serial interface unit. Pinout details for the RTS and DTR lines are shown below.

RS-232 - DB9 serial male connector

Pin Assignments for DB9 serial connector

1 DCD Data carrier (line signal) detect

2 RXD Receive data

3 TXD Transmitted data

4 DTR Data terminal ready

5 GND (Signal) ground

6 DSR Data set ready

7 RTS Ready/request to send

8 CTS Clear to send

9 RI Ring indicator

RS-232 - DB25 serial male connector

Pin Assignments for DB25 serial connector

1 Shield - chassis/frame protective ground

2 TXD Transmitted data

3 RXD Receive data

4 RTS Ready/request to send

5 CTS Clear to send

6 DSR Data set ready

7 GND (Signal) ground

8 DCD Data carrier (line signal) detect

9 Reserved for testing - positive voltage

10 Reserved for testing - negative voltage

11 Unassigned

12 SCF Secondary received carrier (line signal) detect

13 SCB Secondary clear to send

14 SBA Secondary transmitted data

15 DB Transmission signal element timing (clock)

16 SBB Secondary received data

17 DD Receiver signal element timing (clock)

18 Unassigned

19 SCA Secondary request to send

20 DTR Data terminal ready

21 CG Signal quality detector

22 RI Ring indicator

23 CH/CI Data signal rate selector

24 DA External transmit signal element timing (clock)

25 Test mode


Practice reading QSOs

Play a QSO

Select Main Menu\QSO Generator\QSO Settings (or Ctrl+Q)

Select Short from the QSO type drop-down list.

Select Main Menu\Input and output\Select input device (or shift + F4)

Check that QSO generator is selected.

Select Main Menu\PlayCharacter Filter (or Ctrl+F9)

Select F.C.C. from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\Play\Play morse code (F9)

· Click on the Play button

A QSO will now be output as Morse code.


Use NuMorse Pro for teaching code

Using NuMorse Pro for teaching code

The NuMorse Pro First Steps feature incorporates a set of lessons to help students learn the code characters before graduating on to the more advanced sections of NuMorse. These lessons can be added to or altered to compliment your own teaching methods. By default the First Steps feature uses a Mnemonic method augmented by simple graphics to help students associated a code sound with each character. You can change these mnemonic phrases or switch them off completely if you prefer. If you wish to rewrite the lessons then you can use the limited built-in editing features of the NuMorse Pro lesson display or use any word processor followed by copy and paste. The lesson display uses the Ctrl+Ins key combination for the paste from clipboard operation.

The Take a test and Written tests help topics explain how to produce tests and test materials from NuMorse. Here are some extra notes to help you get the best from NuMorse Pro as a teaching aid.

All aspects of the test materials can be customized. To customize an individual test you can directly edit the test with any text editor or use a NuMorse Pro file window as an editor.

To customize the appearance of all generated tests you can edit the headings that are written at the top of each type of test sheet via the Written tests options control panel.

You can keep track of several sets of students performance records. This is described in the User Profiles help topic.

Don’t forget that NuMorse Pro can play text files produced by other software such as word processors. You might consider setting up a directory of code lessons based on text files.

NuMorse Pro can produce audio files. These files can be copied to CDROM for subsequent replay on audio equipment or via Windows built-in multimedia accessories. Students with limited computer skills might find this more straightforward than using the NuMorse Pro application.


Record an audio file

Example 13, Tutorial, recording an audio file

Select Main Menu\Input and output\Select output device (F4)

Make sure that the Wav file output Active box is checked.

Click on the browse button and select the name of an audio file to record.

Click on the compress button and select PCM, 8 KHz, 16 bit Mono.

Select Main Menu\Play\Play morse code (F9)

Click on the Play button


Store and recall different program settings

Store and recall program settings

For a single user no special action is needed. Program settings are always stored during program shutdown and the most recent settings recalled on startup. If you need to store several different groups of program settings then please read the User Profiles help topic.


View a record of code sent and keys pressed

View what was sent and what keys were pressed

To view what was sent:

Select Main Menu\View\Code sent (or Ctrl+F2)

To view what keys have been pressed:

Select Main Menu\View\User Keypresses (or Shift+F2)


Check the accuracy of code speed

Use a code source file containing the word “PARIS” repeated ten times. At 10 WPM this file should take 1 minute to play. The built-in calibrationIDH_frmcalibration>main feature of NuMorse Pro will do this for you automatically.


Play only random letters.

Example 1, Tutorial, play only random letters.

 Top Previous Next

Select Main Menu\Input and output\Select input device (or Shift + F4)

Check that Random characters is selected.

Select Main Menu\PlayCharacter Filter (or Ctrl+F9)

Select Letters from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button


Play a selected character group at random

Example 2, Tutorial, play + 0 5 ? C D R U at random

Method 1

Select Main Menu\Input and output\Select input device (or shift + F4)

Check that Random characters is selected.

Select Main Menu\Play\Character Filter (or Ctrl+F9)

Select Group 2 from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button

Method 2

Go to View\File Window Options (Shift+Ctrl+F2).

Select randomize characters in the Code Source file group.

Open the code source file window. View\Code Source F2

Type in the characters + 0 5 ? C D R U

Go to input devices and select text file. Input and Output\SelectInputDevice Shift+F4

Now play Morse code. Play\Play Morse Code F9


Play letters X Y Z at random (1)

Example 3, Tutorial, play letters X Y Z at random (1)

 Top Previous Next

Select Main Menu\Input and output\Select input device (or shift + F4)

Check that Random characters is selected.

Select Main Menu\Play\Character Filter (or Ctrl+F9)

Click on the Clear all button

Click on X, Y, Z in the custom filter display

Make sure that “Use custom filter” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button


Emphasize difficult characters

Example 4, Tutorial, emphasize difficult letters

Select Main Menu\View\Performance

Click on the Histogram Log page

Use the VCR controls to get to a histogram of yesterdays drill session

Select Main Menu\Input and output\Select input device (or shift + F4)

Check that Random characters is selected.

Select Main Menu\Play\Character Filter (or Ctrl+F9)

Click on the Clear all button

In the Dynamic filter select Currently displayed log record

Make sure that “Use custom filter” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button


play code from a text file

Example 5, Tutorial, play code from a text file

Select Main Menu\Files\Select code source

Select the file

Select Main Menu\Input and output\Select input device (or Shift + F4)

Check that Text File is selected.

Select Main Menu\PlayCharacter Filter (or Ctrl+F9)

Select F.C.C. from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button

Your file will now be sounded as Morse code.


Play random words from a file.

Example 6, Tutorial, play random words from a file

Select Main Menu\Files\Select code source

Select the file

Select Main Menu\Input and output\Select input device (or Shift + F4)

Check that Text File is selected.

Select Main Menu\PlayCharacter Filter (or Ctrl+F9)

Select F.C.C. from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\View\File Window options (or Shift+Ctrl+F2)

Make sure the Randomize words box is checked.

Select Main Menu\Play\Play morse code (F9)

Click on the Play button

Your file will now be sounded as Morse code.

To select individual letters at random use randomize characters instead of randomize words.


Play random letters from a file

Example 7, Tutorial, play random letters from a file

Select Main Menu\Files\Select code source

Select the file

Select Main Menu\Input and output\Select input device (or Shift + F4)

Check that Text File is selected.

Select Main Menu\PlayCharacter Filter (or Ctrl+F9)

Select Numbers from the Preset filters group

Make sure that “Use preset filters” is checked

Select Main Menu\Play\Play morse code (F9)

Click on the Play button

Your file will now be sounded as Morse code.


Use VA instead of SK

Example 8, Tutorial, use VA for “End of work” instead of SK

Select Main Menu\Settings\Code Properties (or Ctrl+F6)

Use the drop-down Character selection list to select *

This is mapped to SK by default

To the right of the Mapped to button is a character selection list.

Select VA in this list


Replace $ with AS

Example 9, Tutorial, replace $ symbol with the AS prosign

Select Main Menu\Settings\Code Properties (or Ctrl+F6)

Use the drop-down Character selection list to select $

Scroll the “This character in” control and check the Prosigns check box.

By default the character $ is not mapped and the mapped to button is grayed out

To the right of the Mapped to button is a character selection list.

Select AS in this list

Click on the Mapped to button to go to the AS prosign character.

In the Code string for character editor replace the existing code with .-...


Play letters X Y Z at random (2)

Example 10, Tutorial, play letters X Y Z at random (2)

 Top Previous Next

Go to View\File Window Options (Shift+Ctrl+F2).

Select randomize characters in the Code Source file group.

Open the code source file window. View\Code Source F2

Type in the characters X Y Z

Go to input devices and select text file. Input and Output\SelectInputDevice Shift+F4

Now play Morse code. Play\Play Morse Code F9


Using the Koch method

Example 11, Tutorial, learn code using the Koch method

Choose Koch from the list of user profiles

Go to First Steps Shift+F9

Follow the lesson instructions.


One minute of solid copy

Example 12, Tutorial, a “One minute of solid copy” test.

 Top Previous Next

Check “A minute of solid copy”

Check “Student question sheet”

Click on “Print” and find a sharp pencil.

Read the question sheet.

Click on start and try to copy the sent code as handwritten text.

Check “Examiner grading sheet”

Click on “Print”

Read the grading sheet to see how well you did.


Forms, menus and commands

Forms and Commands.

 Top Previous Next

Menu Commands (Print this topic out for a handy reference sheet)

File\Select code source | Ctrl + X | Choose a text file as a code source.
File\Print setup |  |
File\Exit |  |
View\Code Source | F2 | Displays the characters to be sent
View\code sent | Ctrl+F2 | Displays the characters that were sent.
View\User keypresses | Shift+F2 | Displays what keys have been pressed
View\File window Options | Shift+Ctrl+F2 | Options that affect code view windows.
View\Compare | Ctrl+Alt+C | Compare code sent with user keypresses
View\Performance | Ctrl+P | Show statistics of your drill performance
View\Code Information | Ctrl+I | Useful information about Morse code
Play\Play Morse Code | F9 | Show the Code Play keyboard
Play\Character filters | Ctrl+F9 | Select which characters are sent
Play\First Steps | Shift+F9 | The first steps for beginners window
Play\Code Speed | Shift+Ctrl+F7 | Text and character speed controls
Play\Calibration | F7 | Automatic code speed calibration
Play\Drill Autospeed | Shift+F7 | Code speed can automatically vary
Settings\General Preferences | F6 | Options for general program behavior.
Settings\Code properties | Ctrl+F6 | Details of Morse code characters
Settings\Drill settings | Shift+F6 | Show drill options window
Settings\Thermometer | Shift+Ctrl+F6 | Configure the thermometer indicator
Input and Output\Select input device | Shift+F4 | Select how Morse code is generated
Input and Output\Select output device | F4 | Choose how Morse code is output
Input and Output\Soundboard | F5 | Select a key click filter and code tone
Input and Output\Sounds | Ctrl+F5 | Alter the sounds that NuMorse Pro makes.
QSO Generator\QSO settings | Ctrl+Q | Set QSO length and other properties.
QSO Generator\Callsigns | Ctrl+C | The callsigns used in generated QSOs
Written tests\Set a Test | Ctrl+T | Display the written tests form
Written tests\Options | Ctrl+Alt+T | Edit text that appears on printed tests.
Windows\Close all | Ctrl+W | Except Play or First Steps windows.
Windows\Arrange all | Ctrl+Alt+W | Organize the position of open windows
Help\Contents |  |
Help\Search for help on |  |
Help\How to use help |  |
Help\About |  |
Help\Troubleshooter | F12 | Generate a file of program and system information.
Help\Restore default settings |  |

See also:

NuMorse Pro block diagram


User Profiles

User profile

File\User profile Ctrl+U

User profiles are groups of program settings which are stored in separate folders. This feature allows you to select whole groups of program settings at start up. In fact, the normal program settings of NuMorse are stored as a user profile called "Default". The profile settings are stored in folders beginning "NPD" Thus, the Default settings are in NPDDefault.

Add

When you click on this button you will be asked to enter a new user profile name. When the new name is entered a new data directory is created for the new user where program settings and other information is stored. The new data directory is initialized with data from the currently selected profile.

Example: You select a new user named “John”. NuMorse Pro creates a new directory called NPDJohn and copies certain data from the current user directory into it.

The following information is unique to each user name:

Code properties settings

The NuMorse Pro desktop settings...position and size of all open forms.

The contents of the file windows

A log of previous performance

The lessons and other information used in the First Steps feature.

Most program control settings.

The First Steps lesson data.

Remove

Use this to remove a user profile that is not needed. You cannot remove the “Default” user profile.

To make another user profile your default.

Copy the contents of your required profiles folder to the NPDDefault folder. (But back up the existing contents first!)


Choose a Code Source File

Open code source file

File\Select code source Ctrl + X

Select a file for NuMorse Pro to play. The file should be text and can be any length. If NuMorse Pro was installed into directory C:\Morse then by default the file name and path will be:

C:\Morse\NPDefault\Source.txt if no user profile is selected.


Code source form

View code source

View\Code Source F2

Several code sources send characters to this form as a block of text before they are read out as code. The character currently being read is highlighted. When NuMorse Pro gets to the end of text then code play will continue from the start or the code will stop depending on the “Wrap Round” setting in the File Window Options control panel. With certain input devices a text wrap-round is accompanied by a refresh of the text contents. For example, a new QSO is generated every time the text wraps round if the input device is the QSO generator. You can move the cursor to a new location by mouse-clicking and NuMorse Pro will then start reading from the new location.

All of the usual text editing commands are available in the NuMorse Pro file windows. The most important ones can be accessed from a toolbar while certain others are available as Hot-key combinations and menu items.


Code sent form

View code sent

View\Code Sent Ctrl+F2

This window shows characters that were sent by NuMorse Pro and after some characters may have been removed by the code filter. This form provides a record of all characters actually sent and it does not wrap round but grows until a predetermined size is reached.

Tip: To compare what you typed with what NuMorse Professional sent try the Comparefeature.


Responses form

Review keypresses (User responses)

 Top Previous Next

View\User keypresses Shift+F2

Your typed characters are always sent to this window and are always added to the end of text when code is playing. You should stop or pause code play if you wish to edit text in this window.

During a code drill session NuMorse Pro examines this window to see what you have typed. If you have the correct Drill Options set then you can type ahead of whatever code NuMorse Pro is sending and then wait for NuMorse Pro to catch up.

Tip: To compare what you typed with what NuMorse Professional sent try the Comparefeature.


File Window Options control panel

File Window Options

View\File Window Options Shift+Ctrl+F2

This panel controls various attributes of the three main file windows:

Code source

Code Sent

User Responses

How the three file windows work together.

Nearly all characters start out by being placed in the Code source file window after being generated or read from file. They then pass though some filtering before being sent to the soundboard. For example, you may have specified that only numbers should be played as code. In this case the character filter will pass only numbers to the soundboard. All characters that make it through the character filter are recorded in the Code sent file window. If you press any keys while code is playing then they are recorded in the User responses window.

Code Source file options control group.

File Name

The default filename is Source.txt. You may change this to read Morse code from your own files. Caution under some circumstances NuMorse Pro can write to the code source file so always keep a backup of any files that you use for code source. See also the "Save on program exit options" section below.

Sequential read.

The characters from a file are read sequentially from start to finish. You can, however, mouse click in the code source window while code is playing. This will cause code reading and sending to continue from the new position in the file where the cursor is located.

Randomize words

NuMorse Pro can pick words at random locations in a source file. If you have a list of words in a file and you wish to practice copying them as code the order of the words soon starts to be learned as well. This randomize feature prevents you from knowing what word is due to be sent next.

Randomize Characters

If this option is selected then characters are selected at random from the file. The selected characters are arranged in groups with length specified by the random group length control in the Characters filter form This feature is useful for practice on small groups of characters. You can type in your selected characters and NuMorse will then play them at random.

Wrap Round at file end

This feature works in different ways depending on the nature of the code source. In the case of text files NuMorse Pro will automatically start again at the beginning of the file if this option is checked and the end of file is encountered.

Code Source file, save on program exit options

The contents of the Code source window are frequently modified by NuMorse Pro and you may or may not want the changes to be saved when you exit from the program. This set of options allows you to specify how changes are handled when exiting. Remember, you can do a manual save of the Code source window contents at any time while the program is running.

Ask before saving

If this option is checked then you will be asked what to do with the code source edit window contents if they have been modified. You can choose whether to discard the changes or to save them.

Don't save

Any changes will be discarded when the program exits. You can still do a manual save of the changes before exiting from the program. This is the safest option but don't forget to do a manual save if you want to record any file window contents that are created by NuMorse pro.

Save without asking

Be careful when using this option.

Changes to the code source edit window contents will always be silently saved to the current filename when exiting. This is a convenient option, but be careful that you don't allow any important text files to be overwritten. Here is one pitfall to beware of:

· You open a useful file of common words to practice and set the Code source option to "Text file".
· After a while you decide to practice some random characters and change the Code source setting to "Random characters"
· NuMorse will fill the Source file window with random characters and play them.
· You exit from the program.

Since the code source window has changed it will be saved to your useful word file without asking you! Your word list will be overwritten.

The Characters sent control group

Sent File Name

This is the name of the file where a record of code sent is stored. You shouldn’t need to alter this, but the option is provided if you have a reason to do so.

Maximum file size slider

During code play the file is constantly being added to and would eventually become enormous. This slider prevents the file size from getting out of hand.

Clear previous contents check box

This option determines if the previous record of sent characters is erased when a new code session is started.

The User keypresses control group

Responses File Name

This is the name of the file where a record your keypresses is stored. You shouldn’t need to alter this, but the option is provided if you have a reason to do so.

Maximum file size slider

Whenever you press a key this file is added to and would eventually become enormous. This slider prevents the file size from getting out of hand.

Clear previous responses check box

This option determines if the previous record of your keypresses is erased when a new code session is started.


Performance statistics

View\Performance Ctrl+P

This panel has five sub-pages giving a wealth of information about your current and previous performance.

Here is a description of the controls that are common to all pages:

Tool Bar

Clear log file button. This permanently removes all performance details from the logfile. Only the logfile for the current user is erased.

Print current page

The details on the current page are printed out. For some of the pages a print preview screen is shown first.

Print log

The contents of the logfile for the current user are sent to the printer. This printout is in semi-graphical format.

Export Log

The logfile is sent to a file in a format suitable for importing into a spreadsheet such as Excel(tm). The file is generated in Comma Delimited Format.

Chart smoothing group

This feature smoothes some of the displayed charts to make it easier to spot trends and longer term changes. Chart smoothing is not retrospective. It cannot be used to smooth data that has already been recorded. Here are the available settings:

None | Raw data is displayed.
Average 5 points | Each data point is the average of five adjacent raw data points.
Cumulative | Each data point represents an averaged and accumulated quantity from the start of data recording.

Add sessions to log file group

Code session results are alwys recorded in the temporary Session summary, Performance and Histogram pages. The options here determine if the session statistics are recorded in the more permanent logfile for later recall and viewing.

Always add | Session results are always stored in the logfile
Ask before adding | at the end of every code session you will be asked if the results should be permanently recorded.
Add on demand | Session results will only be recorded if you click on the To Logfile button in the Histogram sub-page.

Session summary page

Results for the most recent session are shown in numerical format

Most of the data should be self-explanatory. Here are some notes:

In the case of a drill session using word analysis the response times are for characters but time-averaged over each word.

If the most recent session was not a drill session then certain data will be missing or replaced by zero.

Chart scrolling and panning

This applies to all of the charts in the performance Statistics section of NuMorse.

To scroll horizontally (pan) you drag on the chart with the right mouse button.

Vertical panning is not needed since all of the charts are automatically scaled in the vertical axis.

To zoom in on data of interest you drag left to right with the left mouse button.

To zoom out you drag right to left with the mouse button.

Chart activity.

All of the charts are “live”. They respond to changes in real time and you can keep them open while code drilling and watch how your performance varies.

Performance page

The results for the most recent session are shown in graphical format.

Show all data points

This check box determines how the data is displayed along the horizontal axis. If checked then the axis is scaled to show all data points. If unchecked then only part of the data may be displayed and you will need to pan to areas of interest.

The right axis shows your response time throughout the session.

The left axis indicates your success rate during the session with 100 percent representing all correct keypresses.

Histogram page

Auto pan check box

The histogram display is wider then the available horizontal display area so it is not possible to clearly show all of the histogram characters at the same time. During code play this feature pans the display so that you can always see the most recently modified part of the chart.

To custom button (blue)

The results from the displayed histogram are used to set up the custom filter in the Filter Settings control panel. The filter is set up so that the characters that you responded to slowly will be sent most often.

To custom button (green)

The results from the displayed histogram are used to set up the custom filter in the Filter Settings control panel. The filter is set up so that the characters that you made most mistakes with will be sent most often.

To log file button

This button sends the currently displayed session results to the logfile. If this button is grayed it means that either there are no results to send or that you have not selected the Add on demand option in the Add sessions to logfile group.

The chart data is shown in three colors:

If a histogram column is shown as green and red then this means that some of your keypresses for that character were incorrect. The red area shows the number of incorrect keypresses for the character while the green area shows the total number of characters sent. The blue column indicates average response time for the character.

Performance log page

This shows logfile data from the time the logfile was last cleared or a lesser number if you have reached the maximum specified logfile size.

The left axis represents success rate and code speed. For example, a code speed shown as 40 actually represents a speed of 20 wpm. For technical reasons it was not possible to provide a separate vertical axis for code speed.

The right axis shows average response time for each recorded session in ms.

Histogram log page

This page shows logfile data session by session. VCR style controls are used to navigate the logfile records. The number in the center of the VCR controls is the currently selected record number. The chart data is presented in the same way as the session histogram described above and the To custom buttons also work in the same way.

The time and date of the selected record is shown and the type of record is also shown:

A play session is one where code plays and you listen but need not respond.

A drill session is where NuMorse Pro waits for your input and compares it with what code was sent.


Code Information sheet

Code Information

View\Code Information Ctrl+I

This is an active quick reference chart that allows you to see and hear Morse code for any selected character.

As you drag your mouse over the chart the selected character and code elements are shown just below the chart.

Left mouse click to hear the code sound

Right mouse click to go to Code properties page for the character.

Show FCC characters

This shows the characters used in FCC code tests.

Show all characters

This shows all of the characters used by NuMorse. Not all of the characters are valid morse code characters. Many of the none Morse code characters have the “error” sequence of eight dots associated with them. You can assign your own code elements to any NuMorse Pro character in the Code properties page.

Some characters may be grayed. This means that the current filter settings have excluded these characters from being played in a code session. You can, however, still left-click on them to hear the code sound.


First Steps lessons

First Steps

Play\FirstSteps Shift+F9

This section of NuMorse Pro is designed to get you started in learning the code characters. If you are a beginner then you may also be interested in the Learning Morse Code help topic. The First Steps feature consists of a set of lessons. Each lesson is in two parts. There is a description plus a few words of advice on the Choose a lesson page. Then there is some work for you to do on the Learn Morse code page. This work may involve simply watching the screen and listening or you may be asked to enter some guesses in response to the code sounds.

Controls on the Choose a lesson page

Lesson details.

Here is where you will read what the current lesson involves and what you will be expected to do. There are also hints, tips and suggestions for learning the code characters. If you wish, you can add your own text to the lessons or even replace all of the existing text. You are in control.

Characters to learn in this lesson.

This is a list of the characters you will be trying to learn in this lesson.

Display Score check box

In some lessons you will be expected to guess the code characters. At the end of each lesson you can optionally see your score.

Store Lesson button

If you made additions to the lesson details and wish to store the changes then click on this button. Lesson details stored include the current lesson settings plus lesson text and characters to learn. The current text and character speed is also saved. To change the text and character speeds go to the Code Speed control panel

The VCR controls

These controls are where you select a lesson. The lesson number is in the center of the VCR controls.

Student input expected

During most lessons the program will ask for your input. If you would rather just watch without entering anything from the keyboard then uncheck this box.

Wait for student input slider

This slider determines how long you get to enter a guess before NuMorse Pro moves on to another character.

Controls on the Learn Morse code page

Play button

Starts up Morse code.

Stop button

Stops playing Morse code and optionally displays your performance score.

Code character display and check box

At top left. This is where the character being sounded may appear. You can manually switch display of this character on/off or the character display may be automatically suppressed in some of the lessons where you are expected to guess the character.

Code element display and check box

The dots and dashes of the Morse code may be displayed here.

Mnemonic display and check box

One popular way to learn the code characters is by means of “sound alike” mnemonics (see the Learning Morse Code help topic). They can be displayed in this window. If you would prefer not to use this method then uncheck the box. The default mnemonics were created by the author whose native language is British English. Some of them may not work in other English dialects and they certainly will not work for other languages and so you may choose to alter them. To alter a mnemonic you need to go to the Code Properties page for that character.

Picture display and check box

This is at top right. A picture that reminds you of the code sound or the mnemonic can be displayed in this area. To alter the displayed image you need to go to the code properties page for that character. Not all characters have a picture associated with them. Currently letters and numbers have pictures.

You pressed

This display gives some feedback on the character you entered from the keyboard.

Waiting display

This is a small bar graph that shows you when the program is waiting for you to enter a character.

Score display

This displays your score so far. In addition, a small performance graph is shown to let you know how well you are doing in the current lesson.

Alarm/timer controls

You can enter the time as seconds by just entering the number. Or use minute and second format, for example "1m 30s" will set the timer to 90 seconds. The alarm function does not affect code play. After the alarm has sounded play will either continue or stop, depending on the setting of the Stop Lesson option.

To alter code speed in the lessons.

Check on the Show speed controls option. A speed control box will appear and you can use the controls to alter speed in the current lesson. Please read the following sections about making changes to the lessons.

To change a lesson temporarily

You can change any of your current lesson settings including characters to learn, the lesson text or the speed. These temporary changes will be lost as soon as you move to a different lesson.

To change a lesson permanently

Make the temporary changes as described above. Before moving to another lesson click the Store Lesson button. Select an option from the resulting choices. You might want to add your own notes to the lesson text, or even change the lessons entirely, perhaps to write your own training course.

To change all lessons

To make changes to individual lessons you should make the changes directly in the lesson and then click the Store Lesson button. Certain changes can be made to all of the lessons by clicking on the Global button. Be careful, all lessons are affected and you cannot reverse the changes. Be especially careful with the code speed setting. If a set of lessons uses gradual increases in code speed to help attain fluency then all of the speed variations will be lost and the lessons will all run at a constant code speed.

To write your own set of "First Steps" lessons.

The best way is to use the built-in lessons as a starting point. See the "To change a lesson permanently" paragraph above. If you wish to preserve the original lessons before making changes then copy the file Lessons.dat to a safe place. Alternatively, you could create a new User Profile and then make your changes. The original, default, lessons will then be left unchanged.


Code play

Code play keyboard

Many of the visual features in the Code play keyboard window can be switched off. Just check or uncheck the associated checkbox to activate or deactivate them. You will want to turn off several features when code drilling and you have gotten some proficiency in recognizing the characters by their sounds.

Play button.

Starts up code play. Code will be output continuously and recorded in the Code Sent window. If you wish you can type along with the code. Your typing will be recorded in the User Keypresses window so that you can compare with sent code. What code is sent and how fast is controlled by the Character Filter and Speed control panels.

Pause button.

Allows you to temporarily stop code play. When the code source is a QSO or text file play will resume from the pause point.

Reset button.

Code play or drill will stop. Pressing Play or Drill will restart code from the beginning of a text file or QSO.

The typewriter-style keys.

These keys indicate which character is currently being played by appearing to press. The red [BT] key has a special function. NuMorse Pro offers the option of displaying prosigns as character pairs or as substitute characters. If prosign display is enabled (see the Filters control panel ) then clicking on the red [BT] key will toggle the display to and from prosign display.

Drill button.

The drill button starts a code drill session. In drill sessions NuMorse Pro plays code and then waits for your response before continuing. There is a wide range of drill options which control when NuMorse Pro waits for your keyboard input and what happens as a result of correct and incorrect keypresses. Most of these options are controlled from the Drill Settings control panel.

Keyboard on top check box.

Prevents the Play keyboard from being buried by other NuMorse Pro windows.

CDROM icon.

If you are recording an audio file (see Select output devices for details) then a small CDROM icon will be displayed next to the on-screen space bar.

Close button.

Click here to stop code play and exit from the Play keyboard. If you do this while code is playing there may be a short delay while the current character finishes.

Thermometer.

This is may add some interest to those long practice sessions. The thermometer is the vertical bar to the right hand side of the clock. This component gives instant feedback on your progress during code drill sessions. The thermometer has three different modes:

It can function as a session timer. During a timed session the red region will indicate how much time remains before session end.

A response time indicator. The faster you respond the lower the temperature. The displayed “temperature” is always relative to your slowest response during the current session.

Accuracy indicator. The more accurate your keypresses the higher the “temperature”.

The check box underneath the thermometer switches display on or off. To select the type of display or set the session timer mode go to the thermometer control panel


Filters control panel

Character filter options

Play\Character Filters Ctrl+F9

This is the control panel that allows selection of which code characters are played from a selected code source. (see Select input device ). The wide range of options may appear complex, but most people will only need the Preset filters group at top left of the panel.

Preset filters group

Letters. Only the characters A to Z will be output.

Numbers. The numbers 0 to 9 will be output.

Punctuation. This allows punctuation characters: , “ . and ?

Prosign. These prosigns will be output: * + / and = (or SK AR DN and BT)

FCC. A combination of the above will be output.

Group1 The characters E T M A N I S O * . will be sent.

Group2 The characters + 0 5 ? C D R U will be sent.

Group3 The characters K P B G W F H 8 = , will be sent.

Group4 The characters Q L Y J X V Z / 1 2 3 4 6 7 9 will be sent.

All. All Valid Morse code characters will be sent.

Notes:

There are some advanced settings that allow the characters in the preset groups to be changed. (See Code Properties for more details.)

You must always select at least one group. NuMorse Pro will prevent you from unchecking all of the preset filter options.

The options can be used separately or combined to produce your own combinations of characters.

Dynamic filter group

NuMorse Pro gathers comprehensive statistics about your performance while drilling. These statistics can be used to influence what characters are emphasized during subsequent drill sessions. Here are the available options.

None. The feature is switched off.

Current session. Your performance is monitored and mistyped characters will start to be sent more frequently during the current session.

Currently displayed log record. The Performance statistics window can display information from previous drill sessions. This option automatically uses displayed information from a selected previous session to determine what characters are sent more frequently.

Note:

The dynamic filter operates via changes to the custom filter settings and so the “Use custom filter” option must be checked for dynamic filtering to function. The custom filter is described elsewhere in this help topic.

Select Filter type

Preset filters. Use the preset filter group settings to determine what code characters are sent.

Custom filter. Use the Custom filter settings to determine what code characters are sent.

Random Weighting settings.

If the random characters option is selected as a code source then these settings affect what characters are sent.

Natural language. The mixture of random characters generated will be similar to the mixture that occurs in normal English text.

Uniform weighting. All characters will be generated in similar quantities over a period of time.

Note:

Regardless of the Random Weighting setting the character filters will still determine what characters are sent as code.

Random Group length.

This setting determines the block length when random characters are being sent. A random block length can be selected by dragging the slider setting to the left hand side.

The custom filter

This feature allows you to set up your own combination of characters to be output. Switch characters on or off by left-clicking on them. Don’t forget to select the custom filter option in the Select code filters group. If you right-click on a custom filter character then a pop-up menu will appear that allows you to go to a Code Properties page for the selected character.

Notes:

Although the custom filter is used as an on-off switch it is possible to adjust each character filter setting to a value between 0 and 100. These intermediate settings are used internally by NuMorse Pro to emphasize or de-emphasize characters as part of the Dynamic filter feature described in this help topic. You can change them manually using a control in the Code Properties page.

Clear Custom button.

Removes all custom filter settings.

Invert Custom button

Reverses custom filter settings.

Preset to Custom button

The current preset group settings are used to set up the custom filter. This can be a convenient way to quickly set up the custom filter before making manual adjustments.


Speed control panel

Speed

Play\Code Speed Shift+Ctrl+F7

The Code Speed window is where text and character speed can be adjusted. You might find it convenient to dock this form next to the keyboard when you are copying code. Code speeds are given in WPM and three main adjustments are provided.

The top slider controls the length of the elements making up each code character. This is known as the character speed. All code speeds in NuMorse Pro are based on sending the standard PARIS character string. (see the Calibration help topic for more information)

The middle slider controls the amount of extra space inserted between characters and affects the overall text speed. If no extra space is inserted then character speed and text speed are the same and the resulting code is standard Morse code. If space is inserted then the “stretched” code is known as Farnsworth code. Many people consider that Farnsworth code is easier to read for people learning the code and in many countries Amateur Radio code tests are set using Farnsworth code.

The slowest overall (text) speed that NuMorse Pro can send is 2 wpm. If a character-text slider combination results in a speed slower than this then one or both sliders will be automatically adjusted. Maximum NuMorse Pro code speed is 50 wpm.

The bottom slider controls the insertion of extra spaces between words. The number of extra inserted spaces is shown to the right of the slider.

The overall code speed uses the character speed and adjusts this depending on the setting of the other two sliders. The indicated speed is quite accurate when no extra pauses or spaces are inserted into the code stream. If the space between characters is lengthened (Farnsworth code) then the overall speed indication is moderately accurate over the mid range of the character speed slider. It is less accurate at very high and very low speeds.

If extra word pauses are inserted then the overall speed indication is an estimate based on the standard PARIS code string. When sending other text the accuracy will be highly dependant on the content of the text being sent.

You may store and recall up to three sets of speeds using the Store and Recall keys combined with the memory button above them.

The Autospeed checkbox can be checked to switch on the NuMorse Pro Autospeed feature. For more details of this see the Autospeed help topic.


Auto Speed control panel

Auto Speed

The Auto Speed feature allows NuMorse Pro to vary sent code speed during a code session.

Auto Speed check box

This is the master switch that turns the feature on or off. A similar switch in the Code Speed control panel has the same function.

Increase speed every nn seconds.

When playing code the speed increases by 1 wpm at the time interval you specify if this control is active. The speed increase timer is suspended when you are viewing an error analysis window. This is available in both Play and Drill modes. You can choose whether to increase overall code speed or to periodically decrease the length of pauses between characters when using Farnsworth code.

Count words or characters.

If this feature is active then NuMorse Pro monitors your performance and increases or decreases code speed depending on how many errors you make. The increase and decrease rates can be adjusted to suit your learning pace using the controls described below. This is available in Drill mode only.

The Decrease speed every xxx slider controls the rate at which code slows down when you make mistakes in copying code.

The Increase speed every xxx slider control does the opposite. It counts how much error free text you have typed and slightly increases code speed every xxx error free words.

What counts as an error depends on whether drilling is in character or word mode. If in Drill word mode then a misspelled word is counted as one error even though several characters may be incorrect or missing. You can see if words or characters are being counted by looking at the label next to the Increase speed slider.

If you move the Decrease speed every xxx slider fully to the right (maximum) then it will become inactive and code speed will slowly increase regardless of how many errors you make.


Calibration form

Calibration

Play\Calibration F7

I doubt if calibration is really needed since NuMorse Pro derives its code timings from your PC and soundboard timing hardware which should be independent of processor speed. On all of the PCs tested the calibration process resulted in an adjustment of a few percent that could not be detected in normal use.

Code speed in NuMorse Pro is based in how long it takes to send the standard PARIS word. At 10 wpm it should take exactly one minute to send the word PARIS ten times. NuMorse Pro calibration does exactly this. PARIS is sent ten times and the overall time taken is measured using the system clock. Any necessary adjustment is then calculated and made. All you have to do is start the process and wait for it to end.


General preferences

Settings\General preferences F6

The preferences controls are all fairly self-explanatory.

Show splash screen on startup

NuMorse Pro startup time is not affected by this option.

Play intro on startup

Again, startup time is not affected when an audio file is played on startup. This option is useful for giving an indication that your system sound is set up OK before starting to play code.

Show tool tips

Convert input to upper case.

All alphabetic Morse code characters are upper case. In NuMorse Pro code drilling the lower case characters are treated as different from their upper case counterparts and will therefore be treated as mistyped characters. The reason for treating lower case characters separately is that they can be used as supplemental characters if you need them. Most people will need to use uppercase for inputting characters so this option is checked by default.

Allow Docking.

This switches the NuMorse Pro form docking system on or off.

Use 'Dah-Dit' for code elements.

Many code teachers prefer to refer to code elements using 'Dah' and 'dit' sounds rather than 'dots' and 'dashes'. The reason is that 'dah' and 'dit' sounds are a closer match to the sounds of the code and this helps students to build up a correct character-to-sound association rather than trying to 'see' the code dot-dash elements. This feature controls the representation of code elements in certain NuMorse pro features.

Clear code history on session startup

When code is playing the keyboard window records the last few characters sent. This option simply clears previous contents when you press the Drill or Play buttons.

Advanced soundboard options.

These options are provided to allow operation using a variety of different operating systems and soundboards. The default settings work on most systems. If your code output sounds OK then leave these settings alone.

Reset soundboard on code stop

This option causes NuMorse Pro to abruptly switch off code output as soon as a code stop button is pressed. If you would like the current character to finish after a stop button then Uncheck this option.

Reset soundboard on code pause

This works like the above option, except that it does the reset whenever the code pauses. An example of this is when an audible error message is to be sent during code drilling. This is checked by default. You may hear clunks and clicks every time code output is paused, if so then try unchecking this option. If this option is unchecked then you may get some error messages, especially when using very slow code.

Close wave out device when pausing

This option causes the soundboard to be temporarily released by the program whenever code pauses. As soon as code resumes the soundboard is placed under control of NuMorse Pro. This option must be checked when running under Windows 2000 or NT. Under other operating systems you can try unchecking this option to reduce the amount of clicking when code is playing.


Code properties control panel

Code properties

Settings\Code properties Ctrl+F6

Important note:

These settings alter the appearance and sound of code characters sent by NuMorse. People living in the USA will probably not need to make any changes to the default code properties settings.

The character selection list.

This is a drop-down list of all of the available characters and is used to select the character to be modified. The number to the right is the ANSI code used to represent the character within your PC.

Language Weighting.

This is a number used to represent how often the character occurs in standard English text. Spaces are treated as characters in NuMorse Pro and so these are given a value of 100 because they occur more often than other characters. The next most frequent character is ‘E’ which is set to 54. The least often used characters are all given a value of 1. The language weighting value is used to generate random strings of characters with character distributions similar to normal English text.

Custom filter setting.

The custom filter is normally adjusted from the filter control panel where the value can be toggled between on and off which is represented by 100 and 0. Intermediate values can be used to determine how often a character will be seen in a randomly generated stream of code characters generated by NuMorse. In this context 0 means the character will never be sent while 100 means that the character will appear fairly often.

Keyboard mapping group.

Keyboard mapping is the method used by NuMorse Pro to allow maximum flexibility in presenting code characters, prosigns and other characters. I wanted NuMorse Pro to properly display prosigns and other characters but these characters vary between different countries. Often, you will be able to find the character you need in the character selection list. All you need to do then is enter your required code characters in the Code String for Character field.

However, sometimes there is no suitable key and this is where keyboard mapping can help.

Here is an example:

The “End of work” prosign is written as the character pair [SK] in the USA. In many computer programs a ‘*’ sign is substituted for this. NuMorse Pro automatically translates the ‘*’ symbol to [SK] to relieve you of the extra translation effort. If you select the ‘*’ character in the code properties page you will see that it is mapped to the [SK] character pair. Wherever “*” would appear in NuMorse Pro there is a [SK] instead.

In some countries such as Britain the “End of work” prosign is written as [VA]. This is no problem for NuMorse Pro. If you are British then simply alter the keyboard mapping of “*” to [VA] and this new mapping will then be used throughout the program.

To disable keyboard mapping uncheck the Enabled check box.

To set the mappings to the USA defaults click on the “Defaults” button. This gives the following mappings:

Symbol | Mapped to
* | [SK]
+ | [AR]
/ | [DN]
= | [BT]

I have included a variety of prosigns and other symbols in the NuMorse Pro character list to cater for a wide range of international variations on the implementation of Morse code. Also, since standard Morse code uses only upper case alphabetic characters the lower case characters are available for none-standard usage.

Selector button

This can be used to select the character you want to map from. It is an alternative to the Mapped from selection list and allows you to simply press the required key instead of scrolling down a list of characters.

Clear all mappings button

This permanently removes all keyboard mappings. The only mappings available after using this button is the default set described above. To temporarily suspend keyboard mapping it is better to uncheck the mapping enabled checkbox.

Play phonetic button

When code drilling NuMorse Pro can be set up to correct your mistakes by speaking the correct International Phonetic via your soundcard. This button is provided to allow you to test the speech phonetic that is associated with the currently selected character. If you have “A” selected the default phonetic should be spoken as “Alpha”

Select phonetic list box

This allows you to select a suitable phonetic for the current character from the list of available sounds. Select the box and use the up/down arrow keys to scroll to the desired sound name. To modify the Sound List itself you need to go to the NuMorse Pro sounds and speech list control panel.

Group select check box list

You will have noticed that the NuMorse Pro code characters are categorized into groups such as prosigns, letters numbers and so on. This list allows you to alter the category of any code character. If you need to add some new characters then this list allows you to choose a category for the new character.

First steps image and replace button.

The First Steps code learning feature includes an option to display a small picture to help you learn the code characters. For the alphabetic characters this picture is intended to provide a visual association with the mnemonic for that character. To replace the default image with your own graphic use the Replace button. Only uppercase letters and numbers can have an associated image.

First steps image files should be of type bmp and the required image size is 80 x 80 pixels.

Code String for character

You can alter the code elements for any character. Normally the standard Code characters would not be altered and this feature is intended for those who want to add none-standard codes and characters to the default NuMorse Pro character set.

Mnemonic

Using mnemonics to learn the Morse code is a tried and tested method that has been used for many years. Some people swear by it and others hate it. For those who like the method I have provided a learn-by-mnemonics feature in the First Steps section of NuMorse. This is the mnemonic associated with the current code character.

The default mnemonics were created by the author whose native language is British English. If they don’t work for you then you can alter them or switch them off. If you alter the mnemonic then you may need to alter the associated image.


Drill Settings control panel

Drill Settings

Settings\Drill settings Shift+F6

A NuMorse Pro Drill session is a period when NuMorse Pro sends text and waits for you to respond via the keyboard. The Drill Settings control panel determines:

When and how NuMorse Pro checks your keyboard input

What happens when you mistype

What happens after you have mistyped.

When and how NuMorse Pro checks your keyboard input

(The check user keypresses group)

Every character sent | NuMorse Pro sends each code character and then waits for you to type a character. The character is then checked.
Every nn words sent | NuMorse Pro sends a group of characters (a word) before checking your input. If nn is greater than 1 then a number of groups (words) is sent before NuMorse Pro starts checking.

Enable Smart Spaces.

Morse code does not have a space character and when you are taking the code test you will not be expected to explicitly type or write space characters. So why should you have to do this when practicing at the computer? NuMorse Pro offers a way to relieve you of the chore of having to type spaces during code copy. The SmartSpaces(tm) algorithm tries to add spaces to your typed input in the correct places. All you have to do is copy characters as you hear them without having to remember to depress the space bar. If you would rather use conventional typing then simply disable the SmartSpaces(tm) feature.

Wait for user to catch up.

If the Wait for user feature is enabled then NuMorse Pro will pause at the end of each character or word ( depending on other drill settings) until you have caught up before checking your typing.

What happens when you mistype

(The Action when errors detected group)

Repeat code just played, up to nn times. This option is fairly self-explanatory. You get further chances to make a better guess after hearing the code repeated.

Play sound name. By default this plays a “no-no” sound if checked and you make a mistake. Select an alternative sound from the available sound list if you wish.

Play speech phonetic for character. On error the international phonetic for the mistyped character is spoken. An example of an international phonetic is “Alpha” for the letter “A”. This feature is only available when drilling character by character.

Show error characters or words.

A small window will be displayed showing details of your mistake. In fact, there are two distinct error analysis displays. One for word drilling and one for character drilling. See the Word Analyze and Character Analyze help topics for more details.

What happens after you have mistyped.

(The After error group.)

Two options are available:

Stop drilling | The drill session ends.
Restart drilling after nn seconds | After a predetermined pause (which can be zero) the next character or word will be sent.

Type ahead in NuMorse

In the case of normal text you may be able to guess how the current word ends and NuMorse Pro allows you to type ahead of the current character. You can type ahead as far as you want and if SmartSpaces(tm) is enabled NuMorse Pro will attempt to insert spaces that you have forgotten. If you make mistakes or miss out characters then NuMorse Pro may remove your typed ahead text following the first mistake. Because of this it is best not to type too far ahead unless you are confident in your code copying and typing.


Thermometer control panel

Thermometer

Settings\Thermometer Shift+Ctrl+F6

This control panel affects the function of the “Thermometer” display in the Play Keyboard display

Thermometer functions group

The on-screen performance thermometer has three different display modes:

Session timer | During a timed session the red region will indicate how much time remains before session end.
Response time indicator | The faster you respond the lower the temperature. The displayed “temperature” is always relative to your slowest response during the current session.
Accuracy indicator | The more accurate your keypresses the higher the “temperature”.

Timer setting slider

This is where you specify session time when the thermometer is functioning as a session timer.

Thermometer active check box

This is a master switch that enables or disables all thermometer display functions.

Time up sound check box

If you want an alarm to sound at the end of a timed session then check this box.

Sound list

The sound list allows you to choose which time out sound should be played. The selection here is also used in the written test alarm timer.


Select Input Device control panel

Select Input Device

Input and Output\SelectInputDevice Shift+F4

Here is a list of available input devices (code sources) and a summary of how each one works. For some of the code sources the characters are sent to the Code Source window before being read by NuMorse. If you have the Code Source window open while playing code then you can watch the cursor moving through the characters as they are read. You can manually move the cursor around using mouse clicks to direct NuMorse Pro to read from specific parts of the text.

Text file.

Characters are read from a designated text file. They can be read in normal sequence or selected at random from the input file. To make NuMorse Pro select file words at random go to the File Window Options control panel and select Randomize. There are three ways to select a code source file:

· Go to the File Window Options control panel and click on Browse for the code source file.
· Open the Code Source Window and select File Open.
· From the main menu go to File\Select code source

Random characters.

Random characters are generated according to the settings in the Character Filters control panel. When the characters are generated they are sent to the Code Source Window as a block, the size of the block is always just sufficient to fill the window. Then NuMorse Pro reads them out as code one character at a time. When a block has been sent the NuMorse Pro Random character generator sends another block of characters.

From keyboard.

In this mode whatever you type gets converted to Morse code. For this feature to work the NuMorse Pro Keyboard form or the User Keypresses form must have the input focus. Just click on either of these windows before starting to type.

QSO generator.

QSOs are generated and sent as code. To adjust the QSO size go to the QSO settings control panel.

Callsign generator.

US callsigns are generated and sent as code. The Call sign generator control panel allows you to customize callsigns. You could set up NuMorse Pro to generate international callsigns if you know the correct format and rules for the countries of interest.


Select Output Device control panel

Select Output Device

Input and Output\SelectOutputDevice F4

As well as the sound card NuMorse Pro can send code to other “devices”. This control panel allows you to select the devices.

Serial Out.

The serial port can be used by NuMorse Professional to operate hardware devices such as a transmitter or flashing lamp. The RS232 RTS line is used via a COM port which is selectable.. This line will toggle up and down as the code elements are sent. You may need to build an interface circuit to drive hardware devices from your PC, or your transceiver may already have a compatible built-in serial interface.

See the Hookup NuMorse help topic for further information on port pinouts and circuits.

Parallel Port.

Check the Parallel port check box to allow NuMorse Pro to send code to a hardware port. This will usually be the printer port at I/O address 888 (default) although any port address can be selected if the required hardware port address decoding is present. Click on the Options button to access the parallel port settings described below.

The mark bits display indicates the bit pattern sent to the port during code mark (logical high) conditions. By default this is set to all data bits ‘on’. You can mouse click to toggle the individual bits if required.

The space bits indicate the bit pattern during code space (logical low) conditions. This defaults to all bits ‘off’ but each bit can be toggled using mouse clicks.

The Output levels show what signals are being sent to the parallel port in real time.

The ability of NuMorse Pro to send code to a port means that you can hook up a code oscillator or transmitter to your PC and send automatically generated code. (For further details see Hookup NuMorse )

Wave file output group

NuMorse Pro can send audio to a wave file for subsequent playback by other multimedia utilities. You could even record your own Morse code CDROM for audio playback. Click on the Options button to alter Wave file settings.

The Wave File Name can be selected using the browse button and the resulting file open dialog. A feature is provided to allow you to place a limit on the audio file size because audio files can quickly grow to enormous sizes, if no audio file compression is used. Audio file size limits can be removed by setting the slider to the right but please be aware that the first indication of a disk full error message will probably result in you having to shut down your system and reboot before deleting the file.

The Windows ACM (Audio Compression Manager) provides a set of audio file compression utilities and NuMorse Pro is able to take advantage of them. Click on the Compress button to list and select the compression methods available on your system. Here is a brief summary of some compression types available on most Windows systems:

PCM 8000 Hz 16 bit mono | Native PCM as output by NuMorse. No compression.
Microsoft ADPCM | Moderate compression of about 4:1 preserving good audio quality.
GSM 6.10 | Large compression ratio of around 10:1 with some loss of quality.
DSP Group TrueSpeech | High compression but with significant loss of quality.

Experiment with the available audio compression utilities to find a suitable balance of quality and compression. You can play the compressed NuMorse Pro audio files back using the standard Windows media player utilities.

Note: If NuMorse Pro is recording an audio file then a small CDROM icon will be shown on the code Play keyboard. If this icon suddenly “grays out” then it means that you have reached the maximum file size.

Semaphore

Check this box to display a semaphore window that flashes on and off while code is playing.

PC Speaker

Check this box to send code to the PC speaker.

Note: NuMorse Pro requires that a soundboard and soundboard drivers are correctly installed even if you will be using the PC speaker for code output.


Sound Board control panel

Sound Board

Input and Output\SoundBoard F5

Your Sound board driver details are shown at the top of this control panel. This information might be useful if you need to troubleshoot a sound problem.

Click Filter time constant

The click filter time constant is a compromise. You need to reduce clicking as the code tone switches on and off but too much filtering will give a blurred effect to the sound of the code. Experiment to find a setting that sounds good to you. A setting of 1ms is recommended. The small chart gives an indication of how each time constant affects the envelope waveform of a typical Morse code dot.

Tone

If you are planning to take a test soon then try to find out what tone frequency will be used on that test and select the closest one from the displayed options. If you are not planning to take a test soon then select the sound that you feel most comfortable with.

Code volume

This controls the volume of Morse code but does not affect any other sounds produced by NuMorse. If the Morse code output is too loud or quiet compared to the other sounds then use this control. If you want to adjust the volume of all NuMorse Pro sounds then use your soundboard’s physical volume control or your Windows Volume Control. The code volume control also affects NuMorse Pro generated audio files.

Real Morse Code.

This feature adds noise (QRN) and fading (QSB) to the code output so that the signal sounds more like what you would hear on a real radio. Real Morse Code is best used in Continuous play mode where the supply of code characters is continuous. In Drill mode the noise stops while NuMorse Pro waits for your input and this can be distracting. The same applies to modes which use characters from the keyboard where there can be long pauses between characters.

A possible problem with Real Morse Code.

If you hear pauses and gaps in the noise or code then this means that you have a sound board with an appreciable switch-on time. In NuMorse Pro each code character is sent as a separate sound sample. Some soundboards cannot seamlessly stitch together these samples into a continuous sequence without a short period of silence. Without background noise this is not a problem since the hand-over from one sample to the next occurs during the inter-character silence. Suggestions for a fix:

Make sure you have the correct and up to date soundboard drivers.

If you have a slower PC (133MHz or less) then try closing any programs not in use.

Testing here suggests that Win 98 and later gives better results than Win 95.


Sound list

Stored sounds

Input and Output\Sounds Ctrl+F5

There are several places in NuMorse Pro where you can choose sounds from a list of available sounds. This control panel lets you add new sounds or remove sounds from the list.

Play Sound button

This plays the selected sound.

Add button

A file open dialog is displayed. Choose a .wav file to add. The list name is derived from the filename with the .wav file extension removed.

Important note:

You should add sounds that have been compressed using one of the audio file compression utilities supplied with Windows. The preferred compression method is GSM 6.10.

Here is one way to compress an audio file:

Start up your Windows Sound Recorder accessory

Open the audio file to compress

Select File\Save as

Click on the Change button

In the Format list select GSM 6.10 then OK

Click Save and exit from Sound Recorder

You can now add the compressed audio file to the NuMorse Pro sound list.

Remove button

Permanently removes the selected sound from the list


QSO Options control panel

QSO settings

QSO Generator\QSO settings Ctrl+Q

Characters that will always appear in QSOs

This check box list allows you to specify which characters will always be present in generated QSOs. The program was developed using the 43 characters specified for the US FCC code tests as follows:

The letters A..Z

The numbers 0..9

The period, the comma, the question mark.

The prosigns AR SK BT DN

You may change these default settings but the QSO generator may not always be able to produce QSOs containing all of the characters required especially when generating short QSOs. If this happens an error message will appear.

Make a test QSO button

This allows you to see the output of the NuMorse Pro QSO generator. Normally the QSO is sent to the Code Source window for code play but when testing the QSO text is sent to the test display area instead.

QSO type selection

This allows you to select from three types of QSO:

Short | Length is around 200 characters and gives about six minutes of copy at 5 wpm.
Medium | Length is around 400 characters and gives six minutes of copy at 13 wpm
Long | Length is about 650 characters and provides about six minutes of copy at 20 wpm.


Callsigns control panel

Callsigns

QSO Generator\Callsigns Ctrl+C

The callsign generator generates the callsigns used in NuMorse Pro QSOs and also when the code source is switched to “callsigns”. By default, US callsigns are produced according to the FCC rules.

In NuMorse Pro call signs are generated using a “decision tree”. This is displayed here as a tree on its side with the trunk at the left and the smallest branches to the right. This control panel allows editing of the callsign decision tree. You could edit the tree to produce callsigns from other countries or to reflect changes in FCC callsign allocation rules.

To generate a callsign the program starts at the left (at the “root”) and travels along branches collecting letters and numbers at each branch point until it reaches a branch tip at the right of the diagram. The possible characters collected at each point are also shown on the diagram. You alter the tree by adding or removing branches and specifying the characters to be collected at each branch point.

The callsign control panel controls:

Generate character editor.

To alter a branch point (also called a “node”) it must first be selected by left-clicking on it. This single-line editor allows the characters that may be collected in the callsign at each branch point to be specified. Use the comma as a separator and the dash (-) to specify ranges of letters or numbers. Lower case letters are ignored which allows annotations to be made to the tree diagram.

A-Z button

Specifies that the node should generate letters ‘A’ to ‘Z’.

0-9 button

Specifies that the node should generate numbers ‘0’ to ‘9’.

Test button

This generates a callsign in “slow motion” so you can see it being built up character by character on the tree diagram.

Test results display

When you click on the test button the resulting callsign is displayed here.

Delete button

Deletes the currently selected node. Use with care, changes are permanent.

New button

Add a new node.

Node activity level group

Provides a way to specify how branching is to take place at a node.

Use at random | The normal type of node where each path has equal chance of being followed.
Always use | Branching will always be though this node from the previous one.
Never use | Equivalent to deleting the node and any following branches except that this is not permanent and the branch can be restored to normal.

Allow callsign upgrades

This causes some callsigns to use the USA license upgrade indicator. This is a temporary designator appended to a callsign that indicates that the operator has operating privileges of a higher class callsign. For example, a general class callsign followed by /AE indicates that the operator has Extra Class privileges but is temporarily using a General Class callsign until the Extra Class callsign is allocated.


Written Tests control panel

Written Tests

Written tests\Set a test Ctrl+T

This is the control panel that determines the format of code tests. NuMorse Pro tests can be used by students for test practice or they can be used by VEs to set real code tests. A serial number system helps examiners keep track of the various test materials. You have the option to produce a new code test each time or to re-use a previously generated test.

Make a new test.

Clicking on this button causes NuMorse Pro to assemble a new unique QSO and other test materials in memory instead of re-using an existing test. The new test is saved to disk. The new test becomes the current test which will be printed and used as the test code source. If you wish to set the same test several times then do not click on this button between tests.

Print

Click on this button to print out test materials as specified in the Print Options group. You need to have the printed materials available before you start a test. If this option is grayed out then there is no test ready. You will need to either generate a new test or load a previously stored test.

Print Preview

The same as print, except the test is “printed” to the screen. You can print a test element from this print preview screen.

Start test.

You should click on this button when you are set up to take a code test. If you are a student you will need a students question sheet and if you have specified a multi choice test you will also need a Multi-choice answer sheet. You will also need a pen or pencil, of course! NuMorse Pro starts sending test code after an optional count-down period. Test QSOs always start with a series of Vs to help the student prepare for decoding the following text.

Other things to check when setting a test:

· Have you set up NuMorse Pro for the correct speed for the test you are about to take?
· Have you set up NuMorse Pro for the correct type of QSO? In the real test you will be set a short QSO at low code speeds and longer QSOs for the higher speeds. The three types of QSO generated by NuMorse Pro are of the correct length for 5, 13 and 20 WPM U.S style code tests.
· Maybe this is just a practice and you would like some extra help. Do you want to see the text that is being sent as code? If so then several NuMorse Pro options allow this.
· Do you wish to see an indication of how much code has been sent?
· If you have selected the Count Down option then the test will not start straight away. You will have ten seconds to get ready for the test to start.

Select test file.

A file open dialog allows you to select a previously prepared test instead of generating a new one. This opens a previously generated test and generates appropriate test materials in memory. The test can be viewed using the print preview button. Test filenames have the following format:

Tstnnnnn_mmddyyyy.txt

Where:

nnnn is the test serial number allocated by NuMorse Pro and appearing on printed test materials.

Mmddyyyy is the date the test was generated.

You will notice that all generated QSOs start with the sequence VVV VVV. This test sequence gives you time to 'tune in' to the code before the real QSO starts. There are currently two ways to remove this test sequence if you would prefer not to hear it:

For a single QSO edit the sequence from the file with a text editor.

For all generated you need to edit the Phrases.txt file found in your NuMorse Pro working directory. Here is the procedure:

1) Make a backup before you start.
2) Open the file with a text editor. This must be a plain text editor, not a word processor.
3) Remove the contents of the second line. Before editing this reads 'VVV VVV'
4) Save the file.

The Questions in test option should be increased with caution. Program limitations mean that multi-choice tests with more than ten questions may not be correctly generated. If a question and answer or multi-choice test is generated then ten questions will be set by default.

Test Format Group

In all of the code tests students should concentrate on getting as much of the code as possible written down as plain text on a sheet of paper while it is being sent. After the code is finished students will have some time to tidy up their text and try to complete any sections that they missed during code play. This is the time that students should complete the Multi-choice or “Question and answer” format of test. In the case of the “One minute of solid copy” test the student can write directly onto the test sheet.

Three test formats are supported:

Multiple choice | A standard multiple choice test will be printed.
Fill in the blanks | The test QSO text will be printed out with certain information missing and replaced by blanks for the student to fill in.
One minute solid copy | The student sheet will be printed with some instructions and a blank area for the student to write his/her code copy.

Print Options group

This group of options determines what components of a test are printed out. Not all test formats require the same printed materials and so some of the options may be grayed out. Examiners might wish to print out multiple copies of a student question sheet but just one Examiner grading sheet.

Student question sheet | Prints out a sheet for the student to enter personal details. The sheet will also contain questions about the test QSO.
Multi-choice answer sheet | Prints a multiple choice answer sheet for the students use.
Examiner grading sheet | Prints a multiple choice answer sheet with correct options marked for examiners use.
Examiner grading template | Prints a multiple choice grading template for examiners use.

Notes:

All of the instructions and other text that is printed can be modified from the Written Test Options control panel.

1. You can alter the contents of any individual test by editing the file in a text editor. You could use one of the NuMorse Pro file windows for this. If you wish to change the design of all written tests then use the Written Test Options control panel..

For examples of setting tests see the Taking/Setting a test help topic.

Test serial numbers are automatically generated by adding one to the existing serial number. You can change the sequence by typing in a number in the serial number box. Serial numbers are used as part of the stored test filenames and they are also printed on the written test materials. You should take care to use a unique number if you type them in manually.

The clock display is an alarm timer that starts when code play starts. The alarm setting is controlled from the Written Test Options control panel. Notice that the alarm period can be (and usually is) longer than the code play period. This is because students often have a period at the end of code play to tidy up their written notes for presentation to the tester. If the alarm feature is turned off then the clock simply starts at code start and stops at code end with no sound. The alarm sound is the same as the thermometer time-up sound and can be selected in the thermometer control panel.


Written Test Options control panel

Written Test Options

Written tests\Options Ctrl+Alt+T

This is a supplementary set of controls that allows certain Written tests features to be altered.

The text edit area.

This is where selected text that appears on printed test sheets can be altered. Most of the usual text editing features are available .

Select text to edit

Here is where you select one the printed test sheets to edit.

Test options

This is a group of miscellaneous options affecting how tests are displayed.

Auto save test | Causes the current test to be saved whenever a new test is generated using the current serial number which is then incremented.
Show test in edit window | This displays the code as text while it is being played. Use this feature to gain confidence in taking practice tests.
Show code progress | Displays a progress bar at the top of the Written tests options form while code is playing.
Count down to code start | When the Start Test button is clicked an optional delay of ten seconds will occur before code play starts if this option is checked.
Sound alarm after XX minutes YY seconds. | Controls the written test alarm timer.


About Box

Help\About

The program version number and other messages are displayed here. In the case of an unlicensed program you will see some information about program usage and registration inducements.


Edit Find

Find

On the Edit menu, click Search then Find.

In the Search Text box, enter the text you want to search for.

Click OK.


Edit Replace

Replace

Replace text

On the File Edit menu, click Search, then Replace.

In the Text to find box, enter the text you want to search for.

In the Replace with box, enter the replacement text.

Click OK, or Replace all.

Text editing in NuMorse Pro is best done when no code is being sent. In NuMorse Pro the program often adds text as code is playing. If you and NuMorse Pro are modifying the text at the same time things can get confusing!


Analyze word errors

Analyze word error

If NuMorse Pro is set up to check your typing after one or more words have been sent then this form will be displayed when you make an error. Please see the Drill Settings help topic for details of how to select word or character error checking.

Code sent display.

The word(s) sent by NuMorse Pro are shown in black.

Responses display

The characters in your response are color coded as shown in the Color key panel. Missing (blue) characters will only be displayed if you have set NuMorse Pro not to wait for your responses to catch up.

Auto close

This feature allows you to view a mistake and then continue without having to manually close the error analysis box. After a predetermined time the box will automatically close and you may continue with the drill session. A slider control indicates time left while the timer setting allows you to adjust the auto-close time to a period comfortable for you.

Continue button.

Closes the error display and continues with the drill session.

Stop button.

Closes the error display and stops the current drill session.


Analyze character errors

Analyze character error.

 Top Previous Next

If NuMorse Pro is set up to check your typing after each character has been sent then this form will be displayed when you make an error. Please see the Drill Settings help topic for details of how to select word or character error checking.

Code sent.

Displayed in green, this is the character that NuMorse Pro sent.

Response

If you mistyped the character then the character you typed will be shown here in red. If NuMorse Pro is set to not wait for your input then a blue substitute character will be shown here if you could not type the correct character fast enough.

Auto close

This feature allows you to view a mistake and then continue without having to manually close the error analysis box. After a predetermined time the box will automatically close and you may continue with the drill session. A slider control indicates time left while the timer setting allows you to adjust the auto-close time to a period comfortable for you.

Continue button.

Closes the error display and continues with the drill session.

Stop button.

Closes the error display and stops the current drill session.


Store a lesson

After pressing the Store button your options are as follows:

Store changes to the current lesson

Add the current lesson to the end

Delete the current lesson


First Steps score display

Score

This score display is replaced by a more comprehensive display when you have worked through the First Steps lessons and begin to use other NuMorse Pro features.


Semaphore display

Semaphore lantern

This provides a flashing lantern effect like the flashing semaphores used to communicate in Morse code between ships.

Off button

This brings up a color selection chart which selects the “lantern” color during code “space” periods. The text on this button indicates the currently selected color.

On button

This brings up a color selection chart which selects the “lantern” color during code “mark” periods. The text on this button indicates the currently selected color.


Add a profile item

Enter a user name here. A default name is given which you can alter if you wish. Allowed characters are letters numbers and spaces.


Time Up display

Time Up

Reset timer

Start a new timed session with the same settings.

Continue

Continue as a normal (none-timed) session.

Stop

Stop playing code.


Choose a Code Sent File

Open Code Sent File

View\Code Sent Ctrl+F2

This is the file where NuMorse Pro to stores a record of characters sent. If NuMorse Pro was installed into directory C:\Morse then by default the file name and path will be:

C:\Morse\NPDefault\Sent.txt if the default user profile is selected. This file is not always the same as the code source file. For example, some of the source characters may be skipped due to the character filter settings. Or the source may not be a file at all, it may be an internal source such as a QSO or random character generator.


Choose a Code Responses File

Open User keypresses File

View\User keypresses Shift+F2

This is where NuMorse Pro to stores a text file containing your keypresses. If NuMorse Pro was installed into directory C:\Morse then by default the file name and path will be:

C:\Morse\NPDefault\Responses.txt if no user profile is selected. You can arrange the user keypresses and code sent files to compare what NuMorse Pro sent with what you typed. Note, all keystrokes are recorded, even when NuMorse Pro is playing code and not waiting for your keypresses.


A challenging drill session

 Top

Here is a set of suggested drill settings to give yourself a real challenge:

Go to Settings\Drill settings control panel

Check the Every character sent check box.

Uncheck the Wait for user check box

In the Action when errors detected group leave all boxes unchecked. Optionally check the Play Sound box

In the After drilling group check restart and set the number of seconds to 0

Using these settings code drilling will resemble trying to copy a real QSO. Code will not wait for you and you should not hang about trying to correct errors. If you miss a character move on to the next character. Often you can deduce the missing characters when reading through your copy later. In a real code test you will have some time to correct your written copy before the examiner checks it.


Docking

 Top

Certain NuMorse Pro forms can be docked onto the main lay keyboard. To dock a form mouse drag it to the right hand side of the keyboard form (this is called a “Docksite”). The form then becomes part of the keyboard form. If several forms are docked they form the pages of a tabbed notebook.

To undock a form mouse click on the relevant page tab and drag it away from the keyboard docksite.

Forms which can be docked are marked with a thin vertical red line on the left hand edge.

There is a global docking control in the General Preferences form. This switches the whole NuMorse Pro docking system on or off.

If you access a docked form from the Main Menu or Toolbar then it will undock and the floating form will appear at a default position. You can then move the form to a convenient position which will then be remembered by the program.


Error analysis

 Top

When you make an error during code drilling a small window will be displayed showing details of your mistake. In fact, there are two distinct error analysis displays. One for word drilling and one for character drilling. See the Word Analyze and Character Analyze help topics for more details.


The NuMorse code engine

The code engine

 Top

This is the section of the program that converts characters into sounds using a lookup table and calls to the Windows multimedia sub-systems. Information from many other parts of NuMorse Pro are used to assemble the waveform. These include:

The tone frequency.

The shape of the code envelope.

The speed and spacing of the code.

Characters to convert to code


The people who helped me develop NuMorse 2

The people who helped me develop NuMorse Pro

 Top

I would like to thank the following people for their help. This list is in no particular order and I will have forgotten to mention some folk:

Shirley Lacy | My wife. For endless cups of coffee, patience, support, love.
Donald Bell | Expert proof reader and friend.
Mike Guest | Suggestions, bug reports, artwork in program and website.
John Inglis | Web site work.
Eli Lustig | Testing, especially NT systems.
Lawrence Boufford | Testing, advice, encouragement.
Beta testers | Thank you all for your constructive comments and your patience during those months when nothing seemed to be happening with NuMorse Pro development.
Richard Harris | Sound engineer. Provided the NuMorse Pro voice samples.
Laurence Hilton | Laurence is the owner of the NuMorse Pro voice!
Peter Lewis | G3RQX, my original Morse code mentor.
Michael Parry | Testing, advice, encouragement especially with V1.0


Compare user keypresses with code sent.

 Top

This feature compares the text in the Code sent and User Keypresses windows. It is great for showing you how well you are doing in a code practice session. The windows do not have to be open for this feature to work. The comparison is "live". It changes dynamically as NuMorse Professional sends text and you type keypresses.

You might be surprised to know that comparing two pieces of text is quite complex. Surely it is possible to simply check which characters match? Well, here is an example to show that things are not so simple:

Code sent:

THE CAT SAT ON THE MAT

You typed

HE CAT SAT ON THE MAT

Perhaps you missed the first character because you weren't quite ready when the code started. Using simple character matching would give you a score of 0% correct. No characters match place for place. This is a harsh comparison, after all you made just one mistake. There are other possible complexities, such as missing spaces, extra characters typed in error and so on. NuMorse Professional offers two alternatives to work around these problems. They both have advantages and shortcomings depending on the type of mismatches that occur.

Method 1

Based on the Levenshtein string distance; a similarity index defined as the minimum number of single character edits (insert/delete/replace) necessary to transform one block of text into the other.

Method 2

The Ratcliff/Obershelp pattern matching method. Conducts an exhaustive examination of the two blocks of text and returns a percentage representing their similarity.

Experiment with the two methods and see which one gives results closest to those you would expect. Both methods are restricted to comparing the first 1000 characters of the text and are more accurate at less than 255 characters.


Real Morse Code

Real Morse code options

 Top

This set of options allows you to simulate a variety of conditions frequently encountered when listening to code on the amateur bands. Here is how the controls work:

Fade depth controls the amount of fading. Long distance signals often vary in signal strength as ionospheric and tropospheric changes occur. Select values near min. for small variations or no fading at all. Settings near max allow the signal to occasionally fade so much that it is inaudible.

Background noise level. This controls the amount of broadband noise present in the received audio. This noise originates both in the front-end components of the receiver and the atmosphere. The contribution from each source varies depending on frequency. In NuMorse Pro you can vary the noise from zero to a level which renders the signal inaudible.

Add impulsive noise. Impulsive noise can be generated by electrical machinery and also by electrical storms. This noise is characterized by sharp pulses at irregular intervals. Most amateur radio receivers have circuitry to reduce the effects of impulsive noise.

Add ignition noise. Ignition noise pulses occur at regular intervals, they are generated by vehicle and other petrol engines. The effect can be reduced by noise blanking circuits in the receiver.

Play real Morse Code. This is a master switch that enables/disables all of the noise functions.


Code Samples

Code Element Samples

 Top

For learning the code you should always use the internal tone generator. This is a pure sine wave with an amplitude envelope that has been carefully tailored for maximum readability.

The code samples feature allows you to select some alternative code sounds to give you an idea of what CW transmissions might have sounded like in the past and to demonstrate faulty CW transmissions. The feature does not attempt to give completely authentic renditions of code and the speed displayed in the speed control box is an approximation based on the size of the selected external sample.

The feature works by playing dits or dahs from external audio files and stringing them together along with spaces to generate Morse code. You can select which files to use for the dits and dahs. An assortment of ready made files is provided but you can easily make your own. Instructions on how to make your own samples are provided below.

Here is what the controls do:

Use internal/external group. This is the master switch that controls whether code is internally generated or if the code is based on the selected samples.

Each browse button allows you to select samples of code. A dot and a dash sample are both required. NuMorse Pro will add character and word spaces. The files that come with NuMorse Pro have filenames ending with Dot... or Dash... and they all have filename prefix .wav to indicate that they are Microsoft PCM wave files. Normally you would select dot and dash files with the same name in front of the dot... Dash... Part.

Most of the included spark transmitter samples were derived from longer recordings at the website of David Ring, Jr. n1ea. David says that the audio was obtained using transmitter and receiver components that would have been in use at that time. A modern tape recorder was used to record these sounds. Please note that the output from NuMorse Pro will differ from the original transmissions in several ways:

1) The code will be "neutral" and perfectly consistent. NuMorse cannot replicate the style or "fist" of the original hand-sent transmissions. The original operators often varied the code element timing and spacing from standard and the resulting code was often almost musical and wonderful to hear.

2) The original transmissions from which these samples were taken used American Morse code which differs from the International Morse code used in amateur radio in several important respects. To those people familiar with American Morse code the output from NuMorse Professional will sound very odd.

Here is a list of the sample Dot files provided with a short comment on each. For each Dot file there is a corresponding DASH FILE.

SparkCW Dot.wav. A basic spark generated carrier. Early radio transmitters used a high voltage spark gap in air to excite a tuned circuit which was coupled to the antenna. The resulting signal was relatively broadband and noisy.

SparkTransformer Dot.wav. Some transmitters used a transformer to raise an AC supply to the high voltage required for the spark gap. This sample gives an idea of the rasping sound that a transformer based spark transmitter would produce due to the modulation of the spark by the AC waveform. This sample has strong components at multiples of 60 Hz.

SparkCoil1 Dot.wav. One way to generate the high voltage for the spark was to rapidly switch the current through an inductor, or coil. A vibrating actuator acted as the switch and this could be adjusted to give a reasonable quality tone as in this sample. It was helpful to have some sort of amplitude modulation on the carrier due to the relatively simple crystal detectors used as receivers. A pure carrier would result in no audio output from a crystal AM detector.

SparkCoil2 Dot.wav. This is another example of a coil type spark transmitter that is badly adjusted and sounds mushy. Both the vibrating actuator and the spark gap required frequent adjustment for a good tonal output.

RotarySpark1 Dot.wav. Another way to modulate the transmission was to use a rotary interrupter instead of a vibrating actuator. This sample simulates the sound of a rotary spark transmitter.

RotarySpark2 Dot.wav. This is another rotary spark transmitter. The rotor is spinning at a different speed. Receiver selectivity was limited and so several CW transmissions would often be present in the audio output. It was useful to have a distinctive sound from each station to allow operators to distinguish between them.

QuenchedGap Dot.wav. This type of spark transmitter used an arrangement of several spark gaps to obtain the modulation tone.

GKZ Dot.WAV. Samples derived from a transmission by radio station GKZ. I do not know what technology was used to generate this sound.

Chirp1 Dot.wav. This is a transmission that has chirp. This fault is usually caused by poor power supply regulation. During a dit or dah the transmitter draws extra current from the power supply and the voltage drops. The fall in voltage causes the oscillator frequency to shift. The cure is to improve the transmitter power supply regulation or improve the regulation to the transmitter oscillator circuitry or both. Mobile/portable equipment with failing batteries sometimes displays symptoms of chirp.

Chirp2 Dot.wav This is the same problem as in DotChirp1.wav. In this case the receiver is tuned to the other side of the CW signal.

Clicks Dot.wav. The click is caused by faulty shaping of the carrier envelope. This fault is mainly heard in older or home-brew equipment.

Ripple Dot.wav. The carrier is being amplitude modulated at 60 Hz line frequency. This is a symptom of a problem with the power supply smoothing circuitry. The smoothing capacitors in older power supply units are often the culprits.

Ripple2 Dot.wav. In this case the carrier is being frequency modulated at 60 Hz line frequency. Again, power supply smoothing is probably inadequate.

Sounder Dot.wav. Here is what code might have sounded like on a telegraph sounder. This uses a "Click-Clack" system to mark the start-end of each code element. In fact, International Morse Code would not have been used by telegraphers in the U.S.A. They would probably have used American Morse Code instead.

Marconi Dot.wav This sample was derived from an actual transmission from vintage Marconi ship based equipment.

To make your own samples.

The requirements for producing your own samples are simple, but must be adhered to. Any deviation from the requirements below will cause NuMorse Pro to reject the sample:

Microsoft PCM wave Format, uncompressed.

8000 samples per second

16 bit Mono

Maximum file size is 14.6Kb

Minimum file size is 768 bytes

Sources of suitable waveform data are:

Files from the internet.

Files recorded by you.

Files generated by audio editing software.

Audio files generated by NuMorse. See the SelectOutputDevice topic for details of this.

You will normally need third party audio editing software to get your samples into the above format so that they can be used by NuMorse. A good shareware audio editing program is Cool-Edit by Syntrillium Software.

Acknowledgements and resources.

David Ring, Jr. n1ea. http://www.qsl.net/n1ea David has a great web site with many resources for those interested in historical radio equipment and sounds. He gave much help and provided the files on which I based the spark transmitter and other historical samples. Some of the files on this site were originally produced by Mr. John Belrose.

John Belrose, VE2CV, wanted to record exactly what Canadian spark transmitter and pioneer Fessenden heard in his headset. A web page of his work is here:

http://www.physics.otago.ac.nz/ursi/belrose/spark.html

Jim Farrior, w4fok Radio Amateurs and railroad and telegraphy enthusiasts are invited to download his program, "The Mill". http://www.net-magic.net/users/w4fok "The Mill" and supporting documents provide many features for those interested in CW, especially American Morse. The dialog feature of this program allows you to listen to various fists and CW sounds with the simulated stations having authentic conversations using the correct operating procedures.

"The Telegraph Office" at http://fohnix.metronet.com/~nmcewen/tel_off-page.html A Tribute to Morse Telegraphy and a Resource for Wire and Wireless Telegraph Key Collectors and Historians by Neal McEwen, K5RW

"The RMS Titanic Radio Page" http://www2.dynamite.com.au/rmstitanic/ Specializing in the radio aspects of the Titanic disaster

"The Antique Wireless Association" at http://www.antiquewireless.org/ Some of the samples were based on AWA original files.

"The Art and Skill of Radio-Telegraphy A Manual For Learning, Using, Mastering And Enjoying The International Morse Code As A Means Of Communication" by William G. Pierpont N0HFF This is a "Must Have" book for anyone serious about Morse Code. The online version can currently be obtained free from http://www.raes.ab.ca/book/

A French language version is available at http://radioamateur.f1rfn.online.fr/jcm_livre_nohff.htm Traduction et adaptation de l’Anglais par M. Colombani-Gailleur Maurice F6IIE – UFT 061

John Belrose, VE2CV, wanted to record exactly what a spark operator heard on

the air, exactly what Canadian experimentor Fessenden heard in his

headset. A web page of his work is here:

http://www.physics.otago.ac.nz/ursi/belrose/spark.html


The Koch Method

 Top

In this method you go at full speed right from the start. The idea is to avoid a long painful build up of speed as well as the "learning plateau" effect of conventional methods. You start with just two characters and at your final target speed. When you are copying the two characters with a 90% success rate then a third character is added and practice continues, still at the same speed. The process continues, every time you get to 90% accuracy another single character is added. Eventually, you can receive all of the characters and your speed has never varied from your target. The "First Steps" feature of NuMorse Pro can easily be customized to use the Koch method if you think that this is a better way to learn the code.

A training course based on the Koch method has been included. To use it select the Koch user profile on startup. The First Steps lessons will now be based on the Koch method.


Main form status bar

 Top

This area is used to display ToolTip information in more detail than the standard ToolTips.


NuTest

NuTest for Windows

 Top

NTlog05 The NuTest program is designed to help you prepare for the FCC (Federal Communications Commission) examinations for all classes of U.S. amateur radio licenses. It presents you with on-screen tests using real questions and answers from the FCC question pools. Printed practice examinations can also be generated. These have a format identical to the FCC examinations administered by the VEC (Volunteer Examiner Coordinator) system. NuTest runs under Microsoft Microsoft Windows 95/98/2000/ME/XP.

The latest version of Nutest is always available here:

Click to go!

Address for NuTest enquiries:

A. Lacy,

Llanoris,

Llanerfyl,

Welshpool,

Powys.

SY21 0EP

United Kingdom.


Phonetics

 Top

This is a way to make yourself understood better when voicing your callsign and other alphabetic information. Under poor signal conditions it is easy to confuse “F” with “S” and “P” with “B” and so on. A system was devised called “International phonetics” to overcome this problem. Here is the complete list:

A | Alpha | N | November
B | Bravo | O | Oscar
C | Charlie | P | Papa
D | Delta | Q | Quebec
E | Echo | R | Romeo
F | Foxtrot | S | Sierra
G | Golf | T | Tango
H | Hotel | U | Uniform
I | India | V | Victor
J | Juliet | W | Whiskey
K | Kilo | X | X-ray
L | Lima | Y | Yankee
M | Mike | Z | Zulu

Phonetics are not used when sending code, however they can be used in parts of the NuMorse Pro training system to help you learn the code. Drill sessions can be set up to voice the correct phonetic for a character when you make a typing mistake. See the Drill Settings control panel for further details.

Important note:

Do not confuse International Phonetics with the Mnemonics used in the NuMorse Pro First Steps feature.

International phonetics are an officially agreed way to communicate letters by voice.

NuMorse Pro mnemonics are a way to help you remember the Morse code sounds for alphabetic characters. They have no official status.


Prosigns

 Top

Prosigns (Procedural Signals) are special symbols or symbol groups intended to convey commonly used code signals. In FCC tests you will be expected to know the following:

AR | End of message | Dit dah dit dah | .-.-.
BT | Break or pause | Dah dit dit dit dah | -...-
DN | Slash | Dah dit dit dah dit | -..-.
SK | End of work | Dit dit dit dah dit dah | ...-.-

You can see that each prosign in the list is made up of letter pairs. There are several more prosigns which mainly letter pairs and also a few formed from three letters. NuMorse Pro contains many prosigns which can be activated using the keyboard mapping feature. By default the program uses the prosigns in the table above. The Code Properties help topic explains how to set up NuMorse Pro to use extra prosigns.


Relay Interface Unit

 Top

Relay unit for operation from MRT computer program

Block schematic diagram

Parts list

C1 | 1 CAP,470 uF 63 Volt
D1,D2 | 2 Diodes, 1N4007
F1 | 1 FUSE, 400mA
J1 | D25-connector, pin 7
J2 | D25-connector, pin 4
D3 | Red LED
Q1 | 1 N-channel Power MOSFET , IRF20
PL1 | IEC320, mains input, 240VAC
PL2 | 240 VAC switched outlet to bulb. 60W maximum
R4 | 100K 0.25W
R5 | 6K8 0.25W
R6 | 470 0.5W
K1 | RELAY, 12V coil, DPDT contacts rated at 250 VAC, 10A
R1 | 1K8 2W
S1 | Mains switch, with neon lamp indicator and built-in fuse holder
T1 | 240V input 18V output, 6VA
U1 | 12V regulator TS7812CZ
C3,C3 | 0.01uF, 1000V
R7,R8 | R33 0.25W

This unit is designed to be connected to the 25 pin D-connector used for serial I/O on PCs. The unit is triggered by RS232 -+12V logic levels on pin 4 (RTS) and is designed to switch a resistive 240VAC 25W load such as a lamp. It is to be used together with a computer program that can toggle the RS232 RTS line as required.

Summary of circuit function.

T1A, C1, D1, R1, U1 comprise a simple regulated 12Volt DC power supply to provide current to actuate relay K1 when Q1 is switched on.

The -+ 12V inverted logic on pin 4 is fed via protective resistor R5 to the gate of the N-channel Power MOSFET Q1. Q1 gate is tied to the common rail via R4 to ensure that Q1 will switch off under input disconnection conditions.

When Q1 switches on relay K1 operates and switches the 240 VAC supply on to PL2. The indicator LED is across the relay coil and lights to provide an ‘on’ indicator and as a warning that mains power exists at PL2.

C2, C3, R7, R8 are surge suppression components. D2 protects Q1 from voltage spikes generated in K1 during switching.

Usage:

Connect the RS232 input to the serial port of PC using any required adapters and cables.

Connect 240VAC mains supply to mains input socket PL1

Connect a 240 V mains bulb to mains output socket PL2

Start the MRT program and ensure that the program option to output to serial port is switched on.

Use the MRT program to play Morse code.

The lamp should flash as code is played.

Notes:

The RS232 inputs are isolated from the unit case and ground to avoid mains surge currents during switching from damaging the PC

Switching input is expected on pin 4 of the 25 pin connector. This is defined as Request to Send (RTS) by the RS232 standard. Some cables and adapters can exchange pins 4&5. If this occurs then the software should be set to toggle pin, 5 Clear to Send (CTS), instead.

Pin 7 is serial port logic common. Pin 7 must not be connected to the relay unit case or mains ground.

Absolute maximum rating for RS232 inputs to this unit: -+ 20V

An earth connection MUST be provided to this unit via the mains input connector.

A 400mA fuse is fitted to the live (L) side of the mains input and is accessed via a small tray built-in to the mains input socket. There is also a spare fuse in this tray.

Maximum bulb rating is 60W. Recommended rating is 25W. The bulb must be an incandescent type. Fluorescent or energy saving bulbs must not be used.

The relay contacts are rated at 10A 250VAC. Inrush currents to a cold incandescent bulb can be as much as twelve (12) x hot current for up to 50ms. A 60W bulb can take up to 3A each time it is switched on. This means that lamps that are flashing at low rates will have a shorter life than normal.

Nominal relay switching speed is 20ms. This limits the maximum code speed, but it is likely that the thermal inertia of the bulb will impose a lower limit.


SingleCharacter

Code practice with single characters

 Top

Go to Settings\Drill settings control panel and check the Every character sent box. In drill sessions NuMorse Pro will now send just one character and wait for your response before moving to the next character.